## libdispatch 0~svn188

=== debian/changelog ===
libdispatch (0~svn188-2) unstable; urgency=low

  * Add pkg-config as a dependency (fixes FTBFS)

 -- Mark Heily <mark@heily.com>  Tue, 13 Jul 2010 22:45:01 -0400

libdispatch (0~svn188-1) unstable; urgency=low

  * Initial upload (Closes: #576638)

 -- Mark Heily <mark@heily.com>  Mon, 05 Apr 2010 23:00:34 -0400
