=== debian/control ===
Source: libdispatch
Priority: extra
Maintainer: Mark Heily <mark@heily.com>
Build-Depends: debhelper (>= 7.0.50~), libblocksruntime0, libblocksruntime-dev, libkqueue0, libkqueue-dev, libbsd0, libbsd-dev, autotools-dev, pkg-config, libtool, clang
Standards-Version: 3.8.4
Section: libs
Homepage: http://libdispatch.macosforge.org/

Package: libdispatch-dev
Section: libdevel
Architecture: any
Depends: libdispatch0 (= ${binary:Version}), ${misc:Depends}, libkqueue-dev, libblocksruntime-dev
Recommends: clang
Description: development files for the Grand Central Dispatch API
 The libdispatch project consists of the user space implementation of 
 the Grand Central Dispatch API as seen in Mac OS X version 10.6 
 (Snow Leopard).
 .
 This package contains the headers, manpages, and other files needed
 to build programs that use libdispatch.

Package: libdispatch0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: user space implementation of the Grand Central Dispatch API
 The libdispatch project consists of the user space implementation of 
 the Grand Central Dispatch API as seen in Mac OS X version 10.6 
 (Snow Leopard).
