=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	CC=clang ./configure --prefix=/usr

%:
	dh $@
