=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libdispatch
 Priority: extra
-Maintainer: Mark Heily <mark@heily.com>
-Build-Depends: debhelper (>= 7.0.50~), libblocksruntime0, libblocksruntime-dev, libkqueue0, libkqueue-dev, libbsd0, libbsd-dev, autotools-dev, pkg-config, libtool, clang
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mark Heily <mark@heily.com>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50~), dh-autoreconf, libblocksruntime0, libblocksruntime-dev, libkqueue0, libkqueue-dev, libpthread-workqueue-dev, autotools-dev, pkg-config, libtool, clang (>= 2.8) 
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://libdispatch.macosforge.org/
 
 Package: libdispatch-dev
 Section: libdevel
 Architecture: any
-Depends: libdispatch0 (= ${binary:Version}), ${misc:Depends}, libkqueue-dev, libblocksruntime-dev
+Depends: libdispatch0 (= ${binary:Version}), ${misc:Depends}, libkqueue-dev, libblocksruntime-dev, libpthread-workqueue-dev
 Recommends: clang
 Description: development files for the Grand Central Dispatch API
  The libdispatch project consists of the user space implementation of
