## libdispatch 5.5.3

=== debian/changelog ===
libdispatch (5.5.3-0.0~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Jul 2022 10:47:06 -0700

libdispatch-dmo (5.5.3-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Mar 2022 23:41:50 +0100

libdispatch-dmo (5.4.2-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Sep 2021 09:32:46 +0200
