=== debian/control ===
Source: libdispatch
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: http://libdispatch.macosforge.org/
Standards-Version: 4.6.0
Build-Depends: clang,
               cmake,
               debhelper-compat (= 13),
               libkqueue-dev (>= 2.5.1~),
               libpthread-workqueue-dev,
               libtool,
               ninja-build,
               pkg-config,
               quilt

Package: libdispatch1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: user space implementation of the Grand Central Dispatch API
 The libdispatch project consists of the user space implementation of the
 Grand Central Dispatch API as seen in Mac OS X version 10.6 (Snow Leopard).

Package: libdispatch-dev
Section: libdevel
Architecture: any
Depends: libblocksruntime-dev,
         libdispatch1 (= ${binary:Version}),
         libkqueue-dev,
         libpthread-workqueue-dev,
         ${misc:Depends}
Recommends: clang
Description: development files for the Grand Central Dispatch API
 The libdispatch project consists of the user space implementation of the
 Grand Central Dispatch API as seen in Mac OS X version 10.6 (Snow Leopard).
 .
 This package contains the headers, manpages, and other files needed to
 build programs that use libdispatch.

Package: libblocksruntime1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Blocks Runtime library
 Blocks are a proposed extension to the C, Objective C, and C++ languages
 developed by Apple to support the Grand Central Dispatch concurrency engine.
 Blocks are anonymous inline functions that automatically capture a read-only
 copy of local variables, and have read-write access to local variables that
 are declared with the "__block" storage class.
 .
 This package contains a library that is needed by programs that use Blocks.

Package: libblocksruntime-dev
Section: libdevel
Architecture: any
Depends: libblocksruntime1 (= ${binary:Version}), ${misc:Depends}
Description: Blocks Runtime (development files)
 This package contains development headers for building software that
 uses blocks.
 .
 Blocks are a proposed extension to the C, Objective C, and C++ languages
 developed by Apple to support the Grand Central Dispatch concurrency engine.
