=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter-out armel powerpc,$(DEB_BUILD_ARCH)))
        export DEB_LDFLAGS_MAINT_APPEND = -latomic
endif

export CC = clang
export CXX = clang++

# Source
# https://github.com/apple/swift-corelibs-libdispatch/releases/tag/swift-5.4.2-RELEASE

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DBUILD_SHARED_LIBS=ON

#	exit 1

override_dh_clean:
	dh_clean dispatch/module.modulemap private/module.modulemap

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym
