## libdispatch 5.7.3

=== debian/changelog ===
libdispatch (5.7.3-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 Mar 2023 14:06:37 -0800
