=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libtool,
                ninja-build,
                pkg-config,
-               quilt
 
 Package: libdispatch1
 Architecture: any
