=== src/swift/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,10 @@
 target_compile_options(swiftDispatch PRIVATE
   "SHELL:-Xcc -fblocks"
   "SHELL:-Xcc -fmodule-map-file=${PROJECT_SOURCE_DIR}/dispatch/module.modulemap"
-  "SHELL:-Xcc -I${PROJECT_SOURCE_DIR}")
+  "SHELL:-Xcc -I${PROJECT_SOURCE_DIR}"
+  "SHELL:-Xcc -I${PROJECT_SOURCE_DIR}/src/swift/shims")
+target_compile_options(swiftDispatch PUBLIC
+  "SHELL:-vfsoverlay ${CMAKE_BINARY_DIR}/dispatch-vfs-overlay.yaml")
 set_target_properties(swiftDispatch PROPERTIES
   Swift_MODULE_NAME Dispatch
   Swift_MODULE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/swift
@@ -41,7 +44,6 @@
   BlocksRuntime::BlocksRuntime)
 target_link_libraries(swiftDispatch PUBLIC
   dispatch)
-add_dependencies(swiftDispatch module-maps)
 
 get_swift_host_arch(swift_arch)
 install(FILES
@@ -53,7 +55,7 @@
   EXPORT dispatchExports
   ARCHIVE DESTINATION ${INSTALL_TARGET_DIR}
   LIBRARY DESTINATION ${INSTALL_TARGET_DIR}
-  RUNTIME DESTINATION bin)
+  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 if(NOT BUILD_SHARED_LIBS)
   set_property(GLOBAL APPEND PROPERTY DISPATCH_EXPORTS DispatchStubs)
   install(TARGETS DispatchStubs
