=== debian/changelog ===
libdispatch (5.10.1-1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Apr 2025 08:39:40 -0700
