=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libpthread-workqueue-dev,
                libtool,
                ninja-build,
-               pkg-config,
+               pkg-config
 
 Package: libdispatch1
 Architecture: any
